--- CSRFProtect.pm	2012-09-25 00:23:54.930207000 -0400
+++ CSRFProtect.pm.updated	2012-09-25 00:24:13.041003000 -0400
@@ -46,10 +46,11 @@
     # Add "jquery_ajax_csrf_protection" helper
     $app->helper(
         jquery_ajax_csrf_protection => sub {
+            my $jq = $_[1] | '$';
             my $js = '<meta name="csrftoken" content="' . $self->_csrftoken( $_[0] ) . '"/>';
             $js .= q!<script type="text/javascript">!;
-            $js .= q! $(document).ajaxSend(function(e, xhr, options) { !;
-            $js .= q!    var token = $("meta[name='csrftoken']").attr("content");!;
+            $js .= q! !.$jq.q!(document).ajaxSend(function(e, xhr, options) { !;
+            $js .= q!    var token = !.$jq.q!("meta[name='csrftoken']").attr("content");!;
             $js .= q! xhr.setRequestHeader("X-CSRF-Token", token);!;
             $js .= q! });</script>!;
 
@@ -180,6 +181,14 @@
 
 You should add <%= jquery_ajax_csrf_protection %> in head of your HTML page.
 
+    If you have created an alternative alias for jQuery using jQuery.noConflict, you can pass it as an argument:
+
+    <script type="text/javascript">
+        var j = jQuery.noConflict()
+    </script>
+
+    <%= jquery_ajax_csrf_protection('j') %>
+
 =head2 C<csrftoken>
 
 returns  CSRF Protection token.
